ActiveMQMessageAudit (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQMessageAudit class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQMessageAudit

    java.lang.Object
      org.codehaus.activemq.ActiveMQMessageAudit

public class ActiveMQMessageAudit
extends Object

Provides basic audit functions for Messages

Version:
  $Revision: 1.4 $

Constructor Summary
`ActiveMQMessageAudit()` Default Constructor windowSize = 1024, maximumNumberOfProducersToTrack = 128
`ActiveMQMessageAudit(int windowSize, int maximumNumberOfProducersToTrack)` Construct a MessageAudit

Method Summary
`boolean` | `isDuplicate(Message message)` Checks if this message has beeb seen before
`boolean` | `isDuplicate(Packet packet)` checks whether this messageId has been seen before
`boolean` | `isDuplicate(String id)` checks whether this messageId has been seen before and adds this messageId to the list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQMessageAudit

    public ActiveMQMessageAudit()

  Default Constructor windowSize = 1024, maximumNumberOfProducersToTrack = 128

### ActiveMQMessageAudit

    public ActiveMQMessageAudit(int windowSize,
                                int maximumNumberOfProducersToTrack)

  Construct a MessageAudit

Parameters:
  `windowSize` - range of ids to track
  `maximumNumberOfProducersToTrack` - number of producers expected in the system

Method Detail

### isDuplicate

    public boolean isDuplicate(Message message)

  Checks if this message has beeb seen before

  Parameters:
    `message` -
  Returns:
    true if the message is a duplicate

### isDuplicate

    public boolean isDuplicate(Packet packet)

  checks whether this messageId has been seen before

  Parameters:
    `packet` -
  Returns:
    true if the message is a duplicate

### isDuplicate

    public boolean isDuplicate(String id)

  checks whether this messageId has been seen before and adds this messageId to the list

  Parameters:
    `id` -
  Returns:
    true if the message is a duplicate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.